netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
ipc_header Struct Reference

## Data Fields
uint16_t | command
pid_t | child_pid
uid_t | uid
uint32_t | len
char * | msg
int | afp_socket
uint16_t | DSI_requestID

## Field Documentation

## ◆ afp_socket

int ipc_header::afp_socket

## ◆ child_pid

pid_t ipc_header::child_pid

## ◆ command

uint16_t ipc_header::command

## ◆ DSI_requestID

uint16_t ipc_header::DSI_requestID

## ◆ len

uint32_t ipc_header::len

## ◆ msg

char* ipc_header::msg

## ◆ uid

uid_t ipc_header::uid

The documentation for this struct was generated from the following file:

- server_ipc.c